Bug 289046 - Watch Variable options
Summary: Watch Variable options
Status: REPORTED
Alias: None
Product: kdevelop
Classification: Unclassified
Component: CPP Debugger (show other bugs)
Version: unspecified
Platform: Unlisted Binaries Linux
: NOR wishlist (vote)
Target Milestone: ---
Assignee: kdevelop-bugs-null
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-12-15 16:12 UTC by Chris Bruner
Modified: 2014-01-25 01:08 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Bruner 2011-12-15 16:12:31 UTC
Version:           unspecified
OS:                Linux

Right clicking on a watched variable should have a menu of options 
show char * as string
show as hexadecimal
show as array
break on change

Reproducible: Didn't try



Expected Results:  
Some of these items (like show as array) would bring up a dialog box asking for the length.
Comment 1 Niko Sams 2011-12-17 10:11:28 UTC
That is supported in the Variables tool view. (as Context Menu)

stop on change is also implemented in the variable value tooltip.

What could be improved:
- add context menu to tooltip
- add break-on-change action to context menu
Comment 2 Niko Sams 2012-01-15 10:28:48 UTC
Git commit f3392c45908321e049101b55fb8e9683e1a5b3cc by Niko Sams.
Committed on 15/01/2012 at 11:25.
Pushed by nsams into branch 'master'.

add break on change action to context menu in variables tool view

Won't be in KDevelop 4.3 because of new strings

M  +12   -0    debugger/variable/variablewidget.cpp
M  +1    -0    debugger/variable/variablewidget.h

http://commits.kde.org/kdevplatform/f3392c45908321e049101b55fb8e9683e1a5b3cc